https://bugs.gentoo.org/705128
https://bugs.gentoo.org/786228
--- a/ntpd/ntp_sandbox.c
+++ b/ntpd/ntp_sandbox.c
@@ -463,6 +463,15 @@ int scmp_sc[] = {
        SCMP_SYS(send),
        SCMP_SYS(stat64),
 #endif
+#if defined(__arm__)
+       SCMP_SYS(statx),
+#endif
+#if defined(__riscv32__) || defined(__riscv64__)
+       SCMP_SYS(faccessat),
+#endif
+#if defined(__aarch64__) || defined(__riscv64__)
+       SCMP_SYS(syscall),
+#endif
 };
        {
                for (unsigned int i = 0; i < COUNTOF(scmp_sc); i++) {
--- a/ntpd/ntp_sandbox.c
+++ b/ntpd/ntp_sandbox.c
@@ -355,6 +355,7 @@ int scmp_sc[] = {
 	SCMP_SYS(openat),	/* SUSE */
 #endif
 	SCMP_SYS(poll),
+	SCMP_SYS(pread64),
 	SCMP_SYS(pselect6),
 	SCMP_SYS(read),
 	SCMP_SYS(recvfrom),    /* Comment this out for testing.
